您为在事务日志传送辅助配置 SQL Server 2016年时需要.NET Framework 3.5

重要说明:本文是由 Microsoft 机器翻译软件进行的翻译并可能由 Microsoft 社区通过社区翻译机构(CTF)技术进行后期编辑,或可能是由人工进行的翻译。Microsoft 同时向您提供机器翻译、人工翻译及社区后期编辑的文章,以便对我们知识库中的所有文章以多种语言提供访问。翻译的文章可能存在词汇、句法和/或语法方面的错误。Microsoft 对由于内容的误译或客户对内容的使用所导致的任何不准确、错误或损失不承担责任。

点击这里察看该文章的英文版: 3173666
症状
请考虑以下情形:
  • 您在您的计算机上安装 SQL Server 2016年。
  • 使用事务日志传送并用作辅助配置 SQL Server 2016年。

这种情况下,对辅助副本启动LSCopy作业时可能会遇到失败没有记录发生错误。

如果您编辑辅助副本上的 SQL Server 代理程序在LSCopy作业和粘贴命令行中的完整sqllogship.exe命令,然后按 Enter,被列为.NET Framework 3.5 所必需的。

注意:在安装.NET Framework 3.5 和重新启动服务器,在这种情况下, LSCopyLSRestore作业正常运行。
解决方案
此问题的修补程序包含以下累积更新 SQL Server 中︰


有关累积更新 SQL Server
SQL Server 的每个新累积更新包含所有修补程序和所有安全修补程序,已包含在以前的累积更新。为 SQL Server,请查阅最新的累积更新︰

状态
Microsoft 已经确认这是"适用于"一节中列出的 Microsoft 产品中的问题。
参考
了解有关 术语 Microsoft 使用来描述软件更新。

警告:本文已自动翻译

属性

文章 ID:3173666 - 上次审阅时间:07/25/2016 22:00:00 - 修订版本: 1.0

Microsoft SQL Server 2016 Developer, Microsoft SQL Server 2016 Enterprise, Microsoft SQL Server 2016 Standard

  • kbqfe kbfix kbexpertiseinter kbsurveynew kbmt KB3173666 KbMtzh
反馈